<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<c:if test="${not empty sessionScope.locale}">
	<fmt:setLocale value="${locale}" />
</c:if>
<fmt:bundle basename="channels">
	<c:if test="${not empty param.id}">
		<sql:setDataSource dataSource="jdbc/ipcontact" />
		<%@ include file="../include/sql/iax_fix_table.jsp" %>
		<sql:transaction>
			<sql:update>
				DELETE FROM iax_account WHERE name = '${param.id}'
			</sql:update>
		</sql:transaction>
	
		<c:set var="needReload" value="yes" scope="session"/>
		<c:set var="needIaxReload" value="yes" scope="session"/>
		
		<fmt:message key="addiax.deleted" var="result">
			<fmt:param value="${param.id}"/>
		</fmt:message>
		<c:set var="message" value="${result}" scope="session"/>
		<c:set var="messageType" value="ok" scope="session"/>
		<c:set var="result" value=""/>
	</c:if>
	
	<c:url var="contact" value="listIaxChannels.jsp">
		<c:param name="name" value="${param.name}"/>
		<c:param name="nameType" value="${param.nameType}"/>
		<c:param name="calleridName" value="${param.calleridName}"/>
		<c:param name="calleridNameType" value="${param.calleridNameType}"/>
		<c:param name="calleridNumber" value="${param.calleridNumber}"/>
		<c:param name="calleridNumberType" value="${param.calleridNumberType}"/>
		<c:param name="offset" value="${param.offset}"/>
		<c:param name="rows" value="${param.rows}"/>
	</c:url>
</fmt:bundle>
		
<c:redirect url="${contact}"/>
