		<%pageContext.setAttribute("path","../");%>
		<%@ include file="../menu.jsp" %>
		
		<div id="right">
			<fmt:bundle basename="extensions">
				<c:if test="${not empty sessionScope.message}">
					<c:choose>
						<c:when test="${sessionScope.messageType eq \"error\"}">
							<c:set var="class" value="error"/>
						</c:when>
						<c:otherwise>
							<c:set var="class" value="ok"/>
						</c:otherwise>
					</c:choose>
					<div class="${class}">
						<fmt:message key="${sessionScope.message}"/>
						<c:if test="${sessionScope.message eq \"extension.error.generic\"}">
							${sessionScope.error}
						</c:if>
					</div>
					<c:set var="message" value="" scope="session"/>
				</c:if>
		
				<c:choose>
					<c:when test="${empty param.protocol}">
						<%@ include file="../ui/extensions/search.jsp" %>
					</c:when>
					<c:otherwise>
						<w:where var="conds">
							<c:choose>
								<c:when test="${sessionScope.asterisk12}">
									<w:condition attribute="extension" comparator=">=" value="${param.extGt}"/>
									<w:condition attribute="extension" comparator="<=" value="${param.extLt}"/>
								</c:when>
								<c:otherwise>
									<w:condition attribute="e.number" comparator=">=" value="${param.extGt}"/>
									<w:condition attribute="e.number" comparator="<=" value="${param.extLt}"/>
								</c:otherwise>
							</c:choose>
							<w:condition attribute="info" comparator="${param.infoType}" value="${param.info}"/>
							<c:if test="${param.protocol != \"all\"}">
								<w:condition attribute="protocol" value="${param.protocol}"/>
							</c:if>
							<c:if test="${param.vpbx != \"all\"}">
								<w:condition attribute="vpbx" value="${param.vpbx}"/>
							</c:if>
						</w:where>
				
						<!-- Default value for number of rows per page -->
						<c:set var="rows" value="${param.rows}"/>
						<c:if test="${empty rows}">
							<c:set var="rows" value="25"/>
						</c:if>
						<!-- Default value for offset value -->
						<c:set var="offset" value="${param.offset}"/>
						<c:if test="${empty offset}">
							<c:set var="offset" value="0"/>
						</c:if>
				        <%@ include file="../include/sql/exten_fix_table.jsp" %>
						<c:choose>
							<c:when test="${sessionScope.asterisk12}"> 
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT count(*) AS count FROM extensions INNER JOIN vpbxs ON vpbx = number ${conds}
								</sql:query>
							</c:when>
							<c:otherwise>  
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT count(*) AS count FROM extension AS e INNER JOIN vpbx v ON vpbx = v.number ${conds}
								</sql:query>
							</c:otherwise>
						</c:choose>
						<c:if test="${rs.rows[0].count > (offset + rows)}">
							<c:set var="nextOffset" value="true"/>
						</c:if>
						<%@ include file="../include/sql/iax_fix_table.jsp" %>
						
						<c:choose>
							<c:when test="${sessionScope.asterisk12}">  
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT extension, vpbx, v.name, info, voicemail, protocol, e.channel, vm_flag, e.monitor AS monitor,
										local, national, cellular, inter, email, attach,
										CASE e.protocol 
											WHEN 'sip' THEN IF(s.callerid_name IS NOT NULL,'1','0') 
											WHEN 'zap' THEN IF(z.callerid_name IS NOT NULL,'1','0')
											WHEN 'dahdi' THEN IF(z.callerid_name IS NOT NULL,'1','0')
											WHEN 'iax2' THEN IF(i.callerid_name IS NOT NULL,'1','0') 
											ELSE '0' END AS channel_exist 
									FROM extensions AS e 
									INNER JOIN vpbxs AS v ON number = vpbx
									LEFT JOIN sip_account AS s ON e.channel=s.name 
									LEFT JOIN zap_channel AS z ON e.channel=z.channel 
									LEFT JOIN iax_account AS i ON e.channel=i.name
									LEFT JOIN extenprofile ON exten = extension
									LEFT JOIN voicemail_account AS va ON voicemail = va.mailbox
									${conds} ORDER BY extension LIMIT ${rows} OFFSET ${offset}
								</sql:query>
							</c:when>
							<c:otherwise> 
								<sql:query var="rs" dataSource="jdbc/ipcontact">
									SELECT e.number as extension, v.number as vpbx, v.name, info, voicemail, fwmcellular, fwmskype, time_follow, time_cell, protocol, e.channel, vm_flag, e.monitor AS monitor,
										local, longdist as national, cellular, inter, email, attach,
										CASE e.protocol 
											WHEN 'sip' THEN IF(s.callerid_name IS NOT NULL,'1','0') 
											WHEN 'zap' THEN IF(z.callerid_name IS NOT NULL,'1','0')
											WHEN 'dahdi' THEN IF(z.callerid_name IS NOT NULL,'1','0')
											WHEN 'iax2' THEN IF(i.callerid_name IS NOT NULL,'1','0') 
											ELSE '0' END AS channel_exist 
									FROM extension AS e 
									INNER JOIN vpbx AS v ON v.number = vpbx
									LEFT JOIN sip_account AS s ON e.channel=s.name 
									LEFT JOIN zap_channel AS z ON e.channel=z.channel 
									LEFT JOIN iax_account AS i ON e.channel=i.name
									LEFT JOIN voicemail_account AS va ON voicemail = va.mailbox
									${conds} ORDER BY e.number LIMIT ${rows} OFFSET ${offset}
								</sql:query>
							</c:otherwise>
						</c:choose>
						<%@ include file="../ui/extensions/list.jsp" %>
					</c:otherwise>	
				</c:choose>
			</fmt:bundle>
		</div>
	</body>
</html>

