<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="/WEB-INF/query.tld" prefix="w" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="util" %>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page import="ipcontact.*" %>
<%@ page import="org.w3c.dom.*" %>
<%@ page import="java.net.InetAddress" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<c:if test="${empty locale}">
		<c:set var="locale" value="${pageContext.request.locale}" scope="session"/>
	</c:if>
	<c:choose>
		<c:when test="${param.lang eq \"en\"}">
			<c:set var="locale" value="en" scope="session"/>
		</c:when>
		<c:when test="${param.lang eq \"es\"}">
			<c:set var="locale" value="es" scope="session"/>
		</c:when>
		<c:when test="${param.lang eq \"pt\"}">
			<c:set var="locale" value="pt" scope="session"/>
		</c:when>
	</c:choose>
	<c:choose>
		<c:when test="${locale eq \"en\"}">
			<fmt:setLocale value="en" />
		</c:when>
		<c:when test="${locale eq \"es\"}">
			<fmt:setLocale value="es" />
		</c:when>
		<c:when test="${locale eq \"pt\"}">
			<fmt:setLocale value="pt" />
		</c:when>
	</c:choose>
	<fmt:bundle basename="base">
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
			<link type="text/css" rel="stylesheet" href="${path}include/style.css"/>
			<script type="text/javascript" src="${path}include/scripts.js"></script>
			<script type="text/javascript" src="${path}include/formval.js"></script>
			<script type="text/javascript" src="${path}include/expansor.js"></script>
			<script type="text/javascript" src="${path}calendar/current.js"></script>
			<c:choose>
				<c:when test="${fn:startsWith(locale, \"en\")}">
					<script type="text/javascript" src="${path}calendar/scw_en.js"></script>
				</c:when>
				<c:when test="${fn:startsWith(locale, \"es\")}">
					<script type="text/javascript" src="${path}calendar/scw_es.js"></script>
				</c:when>
				<c:when test="${fn:startsWith(locale, \"pt\")}">
					<script type="text/javascript" src="${path}calendar/scw_pt.js"></script>
				</c:when>
			</c:choose>
			<link rel="icon" href="${path}include/favicon.png" />
			<title><fmt:message key="header.title"/></title>
		</head>
	</fmt:bundle>
	<body>
		<fmt:bundle basename="base">
			<div id="header">
				<div id="header-title">
					<fmt:message key="header.admin"/>
				</div>
				<div id="header-user">
					<c:if test="${not empty sessionScope.username}">
						<fmt:message key="header.user"/> ${sessionScope.username}
					</c:if>
					<c:if test="${sessionScope.role eq \"admin\" and sessionScope.useSupervisor eq \"true\"}" >
						<br/>
						<a href="${path}../supervisor/frames.jsp"><fmt:message key="header.switch"/></a>
					</c:if>
				</div>
				<c:choose>
					<c:when test="${not empty sessionScope.needRestart}">
						<div id="header-reloadMessage">
							<a class = "reloadMessage" href="${path}restart.jsp"><fmt:message key="header.restart"/></a>
						</div>
					</c:when>
					<c:when test="${not empty sessionScope.needReload}">
						<div id="header-reloadMessage">
							<a class="reloadMessage" href="${path}reload.jsp"><fmt:message key="header.reload"/></a>
						</div>
					</c:when>
				</c:choose>
			</div>
			<div id="header-version">
            	<p>
            		<fmt:message key="header.server"/>
					<%
						try {
							java.net.InetAddress localMachine = java.net.InetAddress.getLocalHost();
							out.write(localMachine.getHostName());
						} catch (java.net.UnknownHostException uhe) {
							 // handle exception
					 	}
					%> <br/>
					<fmt:message key="header.version"/> 1.12
				</p>
            </div>
		</fmt:bundle>
