<sql:query var="rs" dataSource="jdbc/ipcontact">
	SHOW TABLES like 'sip_account';
</sql:query>

<c:choose>
	<c:when test="${rs.rowCount eq \"0\"}">
		<sql:update dataSource="jdbc/ipcontact">
			CREATE TABLE `sip_account` (
			  `id` int(11) NOT NULL auto_increment,
			  `name` varchar(80) NOT NULL default '',
			  `type` varchar(6) NOT NULL default 'friend',
			  `username` varchar(80) NOT NULL default '',
			  `secret` varchar(80) default NULL,
			  `md5secret` varchar(80) default NULL,
			  `callerid_name` varchar(80) default NULL,
			  `callerid_number` int(11) default NULL,
			  `context` varchar(80) default NULL,
			  `call_limit` smallint(5) unsigned default 10,
			  `callgroup` varchar(10) default NULL,
			  `pickupgroup` varchar(20) default NULL,
			  `dtmfmode` varchar(7) default NULL,
			  `mailbox` varchar(50) default NULL,
			  `host` varchar(31) default NULL,
			  `defaultip` varchar(15) default NULL,
			  `disallow` varchar(100) default 'all',
			  `allow` varchar(100) default 'ulaw;alaw;g729;gsm',
			  `musicclass` varchar(100) default NULL,
			  `canreinvite` enum('yes','no') default 'yes',
			  `language` varchar(2) default NULL,
			  `accountcode` varchar(32) default NULL,
			  `amaflags` enum('default','omit','billing','documentation') default NULL,
			  `insecure` enum('yes','no','very','invite','port') default NULL,
			  `nat` enum('yes','no','never','route') default NULL,
			  `deny` varchar(95) default NULL,
			  `permit` varchar(95) default NULL,
			  `setvar` varchar(100) default NULL,
			  `trustrpid` enum('yes','no') default NULL,
			  `progressinband` enum('yes','no','never') default 'never',
			  `subscribecontext` varchar(80) default NULL,
			  `incominglimit` int(4) default NULL,
			  `port` varchar(5) default NULL,
			  `ipaddr` varchar(15) default NULL,
			  `regseconds` int(11) NOT NULL default '0',
			  `qualify` enum('yes','no') default NULL,
			  `fromuser` varchar(80) default NULL,
			  `fromdomain` varchar(80) default NULL,
			  `fullcontact` varchar(80) default NULL,
			  `rtptimeout` int(11) default NULL,
			  `rtpholdtimeout` int(11) default NULL,
			  `rtpkeepalive` int(11) default NULL,
			  `regexten` varchar(80) default NULL,
			  `vmexten` varchar(80) default NULL,
			  `sendrpid` enum('yes','no') default NULL,
			  `usereqphone` enum('yes','no') default NULL,
			  PRIMARY KEY  (`id`),
			  UNIQUE KEY `name` (`name`),
			  KEY `name_2` (`name`)
			) ENGINE=InnoDB DEFAULT CHARSET=utf8;
		</sql:update>
	</c:when>
	<c:otherwise>
		<sql:query var="rs2" dataSource="jdbc/ipcontact">
			SHOW COLUMNS FROM sip_account WHERE field = 'call_limit';
		</sql:query>
		<c:if test="${rs2.rowCount eq \"0\"}">
            <c:choose>
                <c:when test="${sessionScope.asterisk12}">
					<sql:update dataSource="jdbc/ipcontact">
						ALTER TABLE sip_account ADD COLUMN `call_limit` smallint(5) unsigned default 0
					</sql:update>
				</c:when>
				<c:otherwise>
                    <sql:update dataSource="jdbc/ipcontact">
                        ALTER TABLE sip_account ADD COLUMN `call_limit` smallint(5) unsigned default 10
                    </sql:update>
				</c:otherwise>
			</c:choose>	
		</c:if>
	</c:otherwise>
</c:choose>