<h2><fmt:message key="user.view.title"/>: ${username}</h2>

	<h3><fmt:message key="user.data.title"/></h3>
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.name"/>: </td>
			<td class="query">
			<c:if test="${not empty last_name}">${last_name}, </c:if>${first_name}</td>
		</tr>   			
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.password"/>: </td>
			<td class="query">${password}</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.enabled"/>: </td>
			<td class="query">
				<c:choose>
					<c:when test="${not disabled}"> <fmt:message key="user.yes"/> </c:when>
					<c:otherwise> <fmt:message key="user.no"/> </c:otherwise>	
				</c:choose>
			</td>
		</tr>
		<tr class="plain">
			<td class="label">
				<c:choose>
					<c:when test="${sessionScope.fast eq \"true\"}"> CPF: </c:when>
					<c:otherwise> <fmt:message key="user.data.notes"/>: </c:otherwise>
				</c:choose>
			</td>
			<td class="query">
				<c:choose>
					<c:when test="${not empty user_notes}">${user_notes}</c:when>
					<c:otherwise> - </c:otherwise>	
				</c:choose>
			</td>
		</tr>
	</table>

	<h3><fmt:message key="user.data.profile"/></h3>
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.rol"/>: </td>
   			<td class="query">
				<c:choose>
					<c:when test="${role eq \"user\" or empty role}"><fmt:message key="user.data.user"/></c:when>
					<c:when test="${role eq \"operator\"}"><fmt:message key="user.data.operator"/></c:when>
					<c:when test="${role eq \"supervisor\"}"><fmt:message key="user.data.supervisor"/></c:when>
					<c:when test="${role eq \"coordenador\"}"><fmt:message key="user.data.coordenador"/></c:when>
					<c:when test="${role eq \"admin\"}"><fmt:message key="user.data.admin"/></c:when>
					<c:when test="${role eq \"RH\"}">RH</c:when>
				</c:choose>
			</td>
		</tr>   			
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.agent"/>: </td>
			<td class="query">
				<c:choose>
					<c:when test="${not empty agent}"><fmt:message key="user.yes"/></c:when>
					<c:otherwise><fmt:message key="user.no"/></c:otherwise>	
				</c:choose>
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="user.data.group"/>: </td>
			<td class="query">
				<c:forEach var="row" items="${rs_groups.rows}">
					<c:if test="${row.group_id eq group_id}">${row.group_name}</c:if>
				</c:forEach>
			</td> 
		</tr>
	</table>
	
	<h3><fmt:message key="user.login.title"/></h3>
	<table class="query">
		<c:choose>
			<c:when test="${apply_time}">
      			<tr class="plain">
      				<td class="label"><fmt:message key="user.login.days"/>: </td>
      				<td class="query">
      					<c:if test="${fn:containsIgnoreCase(days, \"2\")}">Lun</c:if>
						<c:if test="${fn:containsIgnoreCase(days, \"3\")}">Mar</c:if>
						<c:if test="${fn:containsIgnoreCase(days, \"4\")}">Mie</c:if>
						<c:if test="${fn:containsIgnoreCase(days, \"5\")}">Jue</c:if>
						<c:if test="${fn:containsIgnoreCase(days, \"6\")}">Vie</c:if>
						<c:if test="${fn:containsIgnoreCase(days, \"7\")}">Sab</c:if>
						<c:if test="${fn:containsIgnoreCase(days, \"1\")}">Dom</c:if>
					</td>
				</tr>
				<tr class="plain">
		    		<td class="label"><fmt:message key="user.login.starttime"/>: </td>
		    		<td class="query">${start_hours}:${start_minutes}
		    		</td>
		    	</tr>
		    	<tr class="plain">
		    		<td class="label"><fmt:message key="user.login.endtime" />: </td>
		    		<td class="query">${end_hours}:${end_minutes}
		    		</td>
		    	</tr>
		    </c:when>
		    <c:otherwise>
		    	<tr class="plain">
		    		<td class="label">N/D</td>
		    		<td class="query"/>
		    	</tr>
		    </c:otherwise>
		</c:choose>
	</table>		

	<h3><fmt:message key="user.auth.title"/></h3>
	<table class="query">
		<tr class="plain">
			<td class="label"><fmt:message key="user.auth.permission"/>: </td>
			<td class="query">
				<c:set var="permisos" value=""/>
				<c:if test="${local}">
					<fmt:message key="user.auth.local"/>
					<c:set var="permisos" value="1"/>
				</c:if>
				<c:if test="${national}">
					<c:if test="${not empty permisos}">,</c:if>
					<fmt:message key="user.auth.national"/>
					<c:set var="permisos" value="1"/>
				</c:if>
				<c:if test="${cellular}">
					<c:if test="${not empty permisos}">,</c:if>
					<fmt:message key="user.auth.cellular"/>
					<c:set var="permisos" value="1"/>
				</c:if>
				<c:if test="${inter}">
					<c:if test="${not empty permisos}">,</c:if>
					<fmt:message key="user.auth.inter"/>
					<c:set var="permisos" value="1"/>
				</c:if>
				<c:if test="${empty permisos}">
					<fmt:message key="user.no"/>
				</c:if>
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="user.auth.pin"/>: </td>
			<td class="query">
				<c:choose>
					<c:when test="${not empty calls_pass}">${calls_pass}</c:when>
					<c:otherwise> - </c:otherwise>	
				</c:choose>
			</td>
		</tr>
		<tr class="plain">
			<td class="label"><fmt:message key="user.auth.enabled"/>: </td>
			<td class="query">
				<c:choose>
					<c:when test="${enabled}"> <fmt:message key="user.yes"/> </c:when>
					<c:otherwise> <fmt:message key="user.no"/> </c:otherwise>	
				</c:choose>
			</td>
		</tr>
	</table>
	
	<br/>
	<br/>

	<form method="post" action="delUser.jsp" name="deleteForm" target="_self">
		<input type="hidden" name="id"/>
		<input type="hidden" name="rows" value="25"/>
		<input type="hidden" name="role" value="all"/>
	</form>
	<form method="post" action="addUser.jsp" name="editForm" target="_self">
		<input type="hidden" name="mode"/>
		<input type="hidden" name="id"/>
		<table class="query">
			<tr class="plain">
				<td class="query" colspan="3">
					<fmt:message key="user.edit" var="edit"/>
					<input class="boton" type="button" value="${edit}" align="middle"
						onClick="javascript:edit('${username}')"/>
					&nbsp;&nbsp;
					<fmt:message key="user.delete" var="delete"/>
					<fmt:message key="user.delete.question" var="question"/>
					<input class="boton" type="button" value="${delete}" align="middle" 
						onClick="javascript:del('${username}','${question}')"/>
					<c:set var="edit" value=""/>
					<c:set var="delete" value=""/>
					<c:set var="question" value=""/>
			  </td>
		  </tr>
	  </table>	
	</form>
