<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="users">

    <c:set var="local" value="0"/>
    <c:set var="national" value="0"/>
    <c:set var="cellular" value="0"/>
    <c:set var="inter" value="0"/>

    <c:if test="${not empty param.local}">
      <c:set var="local" value="1"/>
    </c:if>
    <c:if test="${not empty param.national}">
      <c:set var="national" value="1"/>
    </c:if>
    <c:if test="${not empty param.cellular}">
      <c:set var="cellular" value="1"/>
    </c:if>
    <c:if test="${not empty param.inter}">
      <c:set var="inter" value="1"/>
    </c:if>

    <c:if test="${not empty param.group_name}">
	    <sql:setDataSource dataSource="jdbc/ipcontact" /> 
	    <sql:transaction>
	      <sql:update>
          INSERT INTO authcalls(username,enabled,local,longdist,cellular,inter) 
          SELECT u.username,1,${local},${national},${cellular},${inter} 
          FROM users AS u 
          WHERE group_id=${param.group_name} ON 
          DUPLICATE KEY UPDATE enabled=1, local=${local}, longdist=${national}, cellular=${cellular}, inter=${inter};
	      </sql:update>
	    </sql:transaction>
    </c:if>

		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
			<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"user.error.generic\"}">
					${sessionScope.error}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
		
		<sql:query var="rs_groups" dataSource="jdbc/ipcontact">
			SELECT group_id, group_name
			FROM groups;
		</sql:query>
    
    <h2><fmt:message key="user.edit.title"/>:</h2>
    
    <form onsubmit="return validateOnSubmit()" method="post" action="${path}users/setPermissions.jsp" name="formulario">
    	<input type="hidden" name="procesed" value="yes" />
    	<h3><fmt:message key="user.auth.title"/></h3>
    	<table class="query">
    
    		<tr class="plain">
    			<td class="label"><fmt:message key="user.data.group"/></td>
    			<td class="query">
    				<select name="group_name">
    					<c:forEach var="row" items="${rs_groups.rows}">
    						<c:if test="${row.group_id eq group_id}">
    							<c:set var="selected" value="selected=\"selected\""/>
    						</c:if>
    						<option value="${row.group_id}" ${selected}>${row.group_name}</option>
    						<c:set var="selected" value=""/>
    					</c:forEach>
    				</select>
    			</td> 
    			<td class="query"/>
    		</tr>
    		
    		<tr class="plain">
    			<td class="label"><fmt:message key="user.auth.permission"/></td>
    			<td class="query">
    				<label for="local"><fmt:message key="user.auth.local"/>:</label>
    				<c:if test="${local}">
    					<c:set var="checked" value="checked=\"checked\""/>
    				</c:if>
    				<input type="checkbox" name="local" ${checked} />
    				<c:set var="checked" value=""/>
    				
    				<br/>
    				<label for="national"><fmt:message key="user.auth.national"/>:</label>
    				<c:if test="${national}">
    					<c:set var="checked" value="checked=\"checked\""/>
    				</c:if>
    				<input type="checkbox" name="national" ${checked} /> 
    				<c:set var="checked" value=""/>
    				
    				<br/>
    				<label for="cellular"><fmt:message key="user.auth.cellular"/>:</label>
    				<c:if test="${cellular}">
    					<c:set var="checked" value="checked=\"checked\""/>
    				</c:if>
    				<input type="checkbox" name="cellular" ${checked} />
    				<c:set var="checked" value=""/>
    				
    				<br/>
    				<label for="inter"><fmt:message key="user.auth.inter"/>:</label>
    				<c:if test="${inter}">
    					<c:set var="checked" value="checked=\"checked\""/>
    				</c:if>
    				<input type="checkbox" name="inter" ${checked} />
    				<c:set var="checked" value=""/>
    			</td>
    			<td class="query"/>
    		</tr>
    
    	</table>
    	
    	<br/>
    	<br/>
    	<table class="query">
    		<tr class="plain">
    			<td class="query" colspan="3">
    				<fmt:message key="user.submit" var="submit"/>
    				<input class="boton" type="submit" value="${submit}" align="middle"/>
    				<c:set var="submit" value=""/>
    			</td>
    		</tr>
    	</table>	
    
    	<c:if test="${not empty param.id}">
    		<input type="hidden" name="old_username" value="${param.id}" />
    	</c:if>
    
    	<input type="hidden" name="existsAgent" value="${not empty agent}" />
    	<input type="hidden" name="existsAuth" value="${not empty calls_pass}" />
    </form>
	</fmt:bundle>
</div>
</body>
</html>
