<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>

<%@page contentType="text/html;charset=UTF-8"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<c:choose>
		<c:when test="${not empty param.id}">
			<c:set var="activemenu" value="${param.id}" scope="session"/>
		</c:when>
		<c:otherwise>
			<c:if test="${empty sessionScope.activemenu}">
				<c:set var="activemenu" value="monitor" scope="session"/>
			</c:if>
		</c:otherwise>
	</c:choose>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
		<link type="text/css" rel="stylesheet" href="include/style.css"/>
		<script type="text/javascript">
			function expandmenu(active) {
				document.forms.menu.id.value=active;
				document.forms.menu.submit();
			}
		</script>
		<c:choose>
			<c:when test="${locale eq \"en\"}">
				<fmt:setLocale value="en" />
			</c:when>
			<c:when test="${locale eq \"es\"}">
				<fmt:setLocale value="es" />
			</c:when>
			<c:when test="${locale eq \"pt\"}">
				<fmt:setLocale value="pt" />
			</c:when>
		</c:choose>
	</head>
	<body>
		<form method="post" action="menuframe.jsp" name="menu" target="_self">
			<input type="hidden" name="id"/>
		</form>
		<fmt:bundle basename="base">
		
			<c:choose>
				<c:when test="${sessionScope.role eq \"RH\"}">
					<ul class="menu">
						<li class="menutit">
							<c:choose>
								<c:when test="${sessionScope.activemenu eq \"users\"}">
									<img class="expandmenu" src="include/point.png" style="border: 0px"/>
								</c:when>
								<c:otherwise>
									<a class="expandmenu" href="javascript:expandmenu('users')">
										<img src="include/plus.png" style="border: 0px"/>
									</a>
								</c:otherwise>
							</c:choose>
							<a class="menutit" href="javascript:expandmenu('users')">
								<fmt:message key="menu.title.users"/>
							</a>
						</li>

						<c:if test="${sessionScope.activemenu eq \"users\"}">
							<li class="menu"><a class="menu" href="${path}user/addUser.jsp" target="_top"><fmt:message key="menu.users.addUser"/></a></li>
						</c:if>
					</ul>
				</c:when>
				<c:otherwise>
		
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"monitor\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('monitor')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('monitor')">
						<fmt:message key="menu.title.monitor"/>
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"monitor\"}">
					<c:if test="${sessionScope.role eq \"admin\" or sessionScope.role eq \"supervisor\"}">
						<li class="menu"><a class="menu" href="${path}queues/queueStatus.jsp" target="_top"><fmt:message key="menu.monitor.queuestatus"/></a></li>
					</c:if>	
					<c:if test="${sessionScope.role eq \"admin\" or sessionScope.role eq \"supervisor\" 
										or sessionScope.role eq \"manager\"}">
						<li class="menu"><a class="menu" href="${path}others/barge.jsp" target="_top"><fmt:message key="menu.monitor.barge"/></a></li>
					</c:if>				
					<c:if test="${sessionScope.role eq 'admin' or sessionScope.role eq 'operator' or (sessionScope.role eq 'manager' and sessionScope.casa3)}">
						<li class="menu"><a class="menu" href="${path}others/status.jsp" target="_top"><fmt:message key="menu.monitor.status"/></a></li>
					</c:if>
					<c:if test="${sessionScope.role != 'manager' or sessionScope.casa3}">
						<li class="menu"><a class="menu" href="${path}servlet/ipcontact.Jnlp" target="_top"><fmt:message key="menu.monitor.console"/></a></li>
					</c:if>
				</c:if>
			</ul>
			<c:if test="${sessionScope.role eq 'admin' or sessionScope.role eq 'supervisor'}">
            <ul class="menu">
                <li class="menutit">
                    <c:choose>
                        <c:when test="${sessionScope.activemenu eq \"management\"}">
                            <img class="expandmenu" src="include/point.png" style="border: 0px"/>
                        </c:when>
                        <c:otherwise>
                            <a class="expandmenu" href="javascript:expandmenu('management')">
                                <img src="include/plus.png" style="border: 0px"/>
                            </a>
                        </c:otherwise>
                    </c:choose>
                    <a class="menutit" href="javascript:expandmenu('management')">
                        <fmt:message key="menu.title.management"/>
                    </a>
                </li>
                <c:if test="${sessionScope.activemenu eq \"management\"}">
                    <c:if test="${sessionScope.role eq \"admin\" or sessionScope.role eq \"supervisor\"}">
                        <li class="menu"><a class="menu" href="${path}queues/addMassAgents.jsp" target="_top"><fmt:message key="menu.management.addmassagents"/></a></li>
                        <c:choose>
                        	<c:when test="${sessionScope.fast}">
                        		<li class="menu"><a class="menu" href="${path}queues/fast/agentStatus.jsp" target="_top"><fmt:message key="menu.management.agentstatus"/></a></li>
                        	</c:when>
                        	<c:otherwise>
                        		<li class="menu"><a class="menu" href="${path}queues/agentStatus.jsp" target="_top"><fmt:message key="menu.management.agentstatus"/></a></li>
                        	</c:otherwise>
                        </c:choose>
						<c:if test="${sessionScope.fast}">
							<li class="menu"><a class="menu" href="${path}statistics/fast/loadBlackListData.jsp" target="_top"><fmt:message key="menu.management.blacklist"/></a></li>
						</c:if>
                    </c:if> 
                </c:if>
            </ul>
			</c:if>
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"stats\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('stats')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('stats')">
						<fmt:message key="menu.title.stats"/>
					</a>
				</li>
				
				<c:if test="${sessionScope.activemenu eq \"stats\"}">
					<c:if test="${sessionScope.role != 'manager' or sessionScope.casa3}">
						<c:choose>
							<c:when test="${sessionScope.clearing}">
								<li class="menu"><a class="menu" href="${path}statistics/clearing/listGraphs.jsp" target="_top"><fmt:message key="menu.stats.listgraphs"/></a></li>
							</c:when>
							<c:otherwise>
								<li class="menu"><a class="menu" href="${path}statistics/listGraphs.jsp" target="_top"><fmt:message key="menu.stats.listgraphs"/></a></li>
							</c:otherwise>
						</c:choose>
					</c:if>
					<c:if test="${sessionScope.fast}">
						<c:if test="${sessionScope.username eq \"bancobmg\"}">
							<li class="menu"><a class="menu" href="${path}statistics/listGraphs.jsp" target="_top"><fmt:message key="menu.stats.listgraphs"/></a></li>
						</c:if>
					</c:if>
					<c:choose>
						<c:when test="${sessionScope.kaufman}">
							<li class="menu"><a class="menu" href="${path}statistics/kaufman/listCdr.jsp" target="_top"><fmt:message key="menu.stats.listcdr"/></a></li>
						</c:when>
						<c:otherwise>
							<li class="menu"><a class="menu" href="${path}statistics/listCdr.jsp" target="_top"><fmt:message key="menu.stats.listcdr"/></a></li>
						</c:otherwise>
					</c:choose>
					<c:if test="${sessionScope.fast}">
						<li class="menu"><a class="menu" href="${path}statistics/fast/listFax.jsp" target="_top"><fmt:message key="menu.stats.listfax"/></a></li>
					</c:if>
					<c:if test="${sessionScope.kaufman}">
						<li class="menu"><a class="menu" href="${path}statistics/kaufman/reportHourActivity.jsp" target="_top">Reporte de horas</a></li>
					</c:if>
					
					<c:if test="${sessionScope.role eq \"admin\" or sessionScope.role eq \"supervisor\" or (sessionScope.role eq 'manager' and sessionScope.casa3)}">
						<c:choose>
							<c:when test="${sessionScope.clearing}">
								<li class="menu"><a class="menu" href="${path}statistics/clearing/cumulative.jsp" target="_top"><fmt:message key="menu.stats.cumulative"/></a></li>						
							</c:when>
							<c:otherwise>
								<li class="menu"><a class="menu" href="${path}statistics/cumulative-gen.jsp" target="_top"><fmt:message key="menu.stats.cumulative"/></a></li>
							</c:otherwise>
						</c:choose>
						<li class="menu"><a class="menu" href="${path}statistics/listConnections.jsp" target="_top"><fmt:message key="menu.stats.listconnections"/></a></li>
						<c:if test="${sessionScope.allowSave}">
							<c:choose>
								<c:when test="${sessionScope.casa3}">
									<li class="menu"><a class="menu" href="${path}statistics/casa3/fileList.jsp" target="_top"><fmt:message key="menu.stats.files"/></a></li>
								</c:when>
								<c:otherwise>
									<li class="menu"><a class="menu" href="${path}statistics/fileList.jsp" target="_top"><fmt:message key="menu.stats.files"/></a></li>
								</c:otherwise>
							</c:choose>
						</c:if>
					</c:if>
					<c:if test="${sessionScope.role != \"manager\"}">
						<li class="menu"><a class="menu" href="${path}others/listExtensions.jsp" target="_top"><fmt:message key="menu.stats.listextensions"/></a></li>
			        	<li class="menu"><a class="menu" href="${path}others/listLines.jsp" target="_top"><fmt:message key="menu.stats.listlines"/></a></li>
					</c:if>
					<c:if test="${sessionScope.clearing}">
						<li class="menu"><a class="menu" href="${path}statistics/clearing/listWorktime.jsp" target="_top">Horas de trabajo</a></li>
						<li class="menu"><a class="menu" href="${path}statistics/clearing/listEffic.jsp" target="_top">Eficiencia</a></li>
					</c:if>
					<c:if test="${sessionScope.fast}">
						<li class="menu"><a class="menu" href="${path}statistics/fast/listBlackListData.jsp" target="_top"><fmt:message key="menu.stats.listblacklist"/></a></li>
					</c:if>
					<c:if test="${sessionScope.casa3}">
						<li class="menu"><a class="menu" href="${path}statistics/casa3/massDownload.jsp" target="_top">Descarga masiva de grabaciones</a></li>
					</c:if>
				</c:if>
			</ul>
			
			<c:if test="${sessionScope.role eq \"admin\" or sessionScope.role eq \"supervisor\" or sessionScope.role eq \"manager\"}">
				<ul class="menu">
					<li class="menutit">
						<c:choose>
							<c:when test="${sessionScope.activemenu eq \"daily\"}">
								<img class="expandmenu" src="include/point.png" style="border: 0px"/>
							</c:when>
							<c:otherwise>
								<a class="expandmenu" href="javascript:expandmenu('daily')">
									<img src="include/plus.png" style="border: 0px"/>
								</a>
							</c:otherwise>
						</c:choose>
						<a class="menutit" href="javascript:expandmenu('daily')">
							<fmt:message key="menu.title.daily"/>
						</a>
					</li>

					<c:if test="${sessionScope.activemenu eq \"daily\"}">
						<c:if test="${sessionScope.role eq 'admin' or sessionScope.role eq 'supervisor' or (sessionScope.role eq 'manager' and sessionScope.casa3)}">
							<c:choose>
								<c:when test="${sessionScope.kaufman}">
									<li class="menu"><a class="menu" href="${path}statistics/kaufman/reportAgentActivity.jsp" target="_top"><fmt:message key="menu.daily.agentactivity"/></a></li>
								</c:when>
								<c:otherwise>
									<li class="menu"><a class="menu" href="${path}statistics/reportAgentActivity.jsp" target="_top"><fmt:message key="menu.daily.agentactivity"/></a></li>
								</c:otherwise>
							</c:choose>
						</c:if>	
						<c:choose>
							 <c:when test="${sessionScope.fast}">
								<li class="menu"><a class="menu" href="${path}statistics/fast/reportQueueData.jsp" target="_top"><fmt:message key="menu.daily.queuedata"/></a></li>
								<li class="menu"><a class="menu" href="${path}statistics/fast/outCalls.jsp" target="_top"><fmt:message key="menu.daily.outcalls"/></a></li>
							</c:when>
							<c:otherwise>
								<li class="menu"><a class="menu" href="${path}statistics/reportQueueData.jsp" target="_top"><fmt:message key="menu.daily.queuedata"/></a></li>
							</c:otherwise>
						</c:choose>
						<!--A pedido de FAST se comenta el relatorio BAUducco
						<c:if test="${sessionScope.fast}">
							<li class="menu"><a class="menu" href="${path}statistics/fast/reportQueueDataBauducco.jsp" target="_top">Relatorio Bauducco</a></li>
						</c:if>
						-->
			      
			      		<c:if test="${sessionScope.dedicado}">
							<li class="menu"><a class="menu" href="${path}statistics/dedicado/listNotes.jsp" target="_top">Reporte de notas de llamadas</a></li>
						</c:if>
						<c:if test="${sessionScope.role eq 'admin' or sessionScope.role eq 'supervisor' or (sessionScope.role eq 'manager' and sessionScope.casa3)}">	
							<c:choose>
								<c:when test="${sessionScope.clearing}">
									<li class="menu"><a class="menu" href="${path}statistics/clearing/reportMissedCalls.jsp" target="_top"><fmt:message key="menu.daily.missedcallscomplete"/></a></li>
								</c:when>
								<c:otherwise>
									<li class="menu"><a class="menu" href="${path}statistics/reportMissedCalls.jsp" target="_top"><fmt:message key="menu.daily.missedcallscomplete"/></a></li>
								</c:otherwise>
							</c:choose>
							<c:if test="${sessionScope.fast}">
								<li class="menu"><a class="menu" href="${path}statistics/fast/reportExceededCalls.jsp" target="_top"><fmt:message key="menu.daily.foralei"/></a></li>
							</c:if>
						</c:if>
						<c:if test="${sessionScope.sadar}">
							<li class="menu"><a class="menu" href="${path}statistics/sadar/groupExtensions.jsp" target="_top"><fmt:message key="menu.stats.groupextensions"/></a></li>
						</c:if>
						<li class="menu"><a class="menu" href="${path}statistics/fast/agentsLogged.jsp" target="_top"><fmt:message key="menu.stats.agentslogin"/></a></li>
						<c:if test="${sessionScope.fast}">
							<li class="menu"><a class="menu" href="${path}statistics/fast/reportBlacklist.jsp" target="_top"><fmt:message key="menu.daily.reportblacklist"/></a></li>
							<li class="menu"><a class="menu" href="${path}statistics/fast/reportActivitiesSyntactic.jsp" target="_top"><fmt:message key="menu.daily.reportactivitiessyntactic"/></a></li>
							<li class="menu"><a class="menu" href="${path}statistics/fast/reportActivitiesAnalytical.jsp" target="_top"><fmt:message key="menu.daily.reportactivitiesanalytical"/></a></li>
						</c:if>
					</c:if>
				</ul>
			</c:if>
			
		
			<c:if test="${(sessionScope.role eq \"admin\" or sessionScope.role eq \"supervisor\") and sessionScope.ivr}">
				<ul class="menu">
					<li class="menutit">
						<c:choose>
							<c:when test="${sessionScope.activemenu eq \"ivr\"}">
								<img class="expandmenu" src="include/point.png" style="border: 0px"/>
							</c:when>
							<c:otherwise>
								<a class="expandmenu" href="javascript:expandmenu('ivr')">
									<img src="include/plus.png" style="border: 0px"/>
								</a>
							</c:otherwise>
						</c:choose>
						<a class="menutit" href="javascript:expandmenu('ivr')">
							<fmt:message key="menu.title.ivr"/>
						</a>
					</li>
					<c:if test="${sessionScope.activemenu eq \"ivr\"}">
						<c:choose>
							<c:when test="${sessionScope.fast}">
								<li class="menu"><a class="menu" href="${path}ivr/distributedReportIvr.jsp" target="_top"><fmt:message key="menu.ivr.statistics"/></a></li>
							</c:when>
							<c:otherwise>
								<li class="menu"><a class="menu" href="${path}ivr/reportIvr.jsp" target="_top"><fmt:message key="menu.ivr.statistics"/></a></li>
							</c:otherwise>
						</c:choose>
					</c:if>
				</ul>
			</c:if>
			
			<c:if test="${sessionScope.role eq \"admin\" or sessionScope.role eq \"supervisor\"}">
				<ul class="menu">
					<li class="menutit">
						<c:choose>
							<c:when test="${sessionScope.activemenu eq \"fees\"}">
								<img class="expandmenu" src="include/point.png" style="border: 0px"/>
							</c:when>
							<c:otherwise>
								<a class="expandmenu" href="javascript:expandmenu('fees')">
									<img src="include/plus.png" style="border: 0px"/>
								</a>
							</c:otherwise>
						</c:choose>
						<a class="menutit" href="javascript:expandmenu('fees')">
							<fmt:message key="menu.title.fees"/>
						</a>
					</li>
					<c:if test="${sessionScope.activemenu eq \"fees\"}">
						<li class="menu"><a class="menu" href="${path}statistics/feesReport.jsp" target="_top"><fmt:message key="menu.fees.feesreport"/></a></li>
					</c:if>
				</ul>
			</c:if>
			
			<c:if test="${sessionScope.dedicado}">
				<c:if test="${sessionScope.role eq \"admin\" or sessionScope.role eq \"supervisor\"}">
					<ul class="menu">
						<li class="menutit">
							<c:choose>
								<c:when test="${sessionScope.activemenu eq \"label\"}">
									<img class="expandmenu" src="include/point.png" style="border: 0px"/>
								</c:when>
								<c:otherwise>
									<a class="expandmenu" href="javascript:expandmenu('label')">
										<img src="include/plus.png" style="border: 0px"/>
									</a>
								</c:otherwise>
							</c:choose>
							<a class="menutit" href="javascript:expandmenu('label')">
								<fmt:message key="menu.title.label"/>
							</a>
						</li>
						<c:if test="${sessionScope.activemenu eq \"label\"}">
							<li class="menu"><a class="menu" href="${path}queues/label.jsp" target="_top"><fmt:message key="menu.label.addlabel"/></a></li>
						</c:if>
					</ul>
				</c:if>
			</c:if>
			
			<ul class="menu">
				<li class="menutit">
					<c:choose>
						<c:when test="${sessionScope.activemenu eq \"admin\"}">
							<img class="expandmenu" src="include/point.png" style="border: 0px"/>
						</c:when>
						<c:otherwise>
							<a class="expandmenu" href="javascript:expandmenu('admin')">
								<img src="include/plus.png" style="border: 0px"/>
							</a>
						</c:otherwise>
					</c:choose>
					<a class="menutit" href="javascript:expandmenu('admin')">
						<fmt:message key="menu.title.admin"/>
					</a>
				</li>
				<c:if test="${sessionScope.activemenu eq \"admin\"}">
					<li class="menu"><a class="menu" target="_top" href="${path}logout.jsp" target="_top"><fmt:message key="menu.logout"/></a></li>
				</c:if>
			</ul>
			
			</c:otherwise>
		</c:choose>
		</fmt:bundle>
	</body>
</html>
