<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="others">
		<c:choose>
			<c:when test="${empty param.protocol}">
				<h1><fmt:message key="listlines.title"/></h1>
		
				<form method="get" action="listLines.jsp" target="_self">
					<table class="query">
						<tr class="plain">
							<td class="query"><fmt:message key="listlines.linegt"/>:</td>
							<td class="query"><input type="text" size="2" name="numGt"/></td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listlines.linelt"/>:</td>
							<td class="query"><input type="text" size="2" name="numLt"/></td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listlines.info"/>:</td>
							<td class="query"><input type="text" size="35" name="info"/></td>
							<td class="query">
								<select name="infoType">
								<option value="1" ><fmt:message key="equal"/></option>
									<option value="2" selected="selected"><fmt:message key="contain"/></option>
									<option value="3" ><fmt:message key="startswith"/></option>
									<option value="4" ><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listlines.protocol"/>:</td>
							<td class="query">
								<select name="protocol">
									<option value="all" selected="selected"><fmt:message key="all"/></option>
									<option value="zap">Zaptel</option>
									<option value="sip">SIP</option>
									<option value="h323">H.323</option>
									<option value="mgcp">MGCP</option>
									<option value="capi">CAPI</option>
									<option value="iax2">IAX</option>
								</select>
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							 <c:choose>
								 <c:when test="${sessionScope.asterisk12}">	
									 <sql:query var="rs" dataSource="jdbc/ipcontactRO">
										 SELECT info FROM hunt_group
									 </sql:query>
								 </c:when>
								 <c:otherwise>
									 <sql:query var="rs" dataSource="jdbc/ipcontactRO">
										 SELECT info FROM hunt
									 </sql:query>
								 </c:otherwise>
							 </c:choose>
							 <td class="query"><fmt:message key="listlines.group"/>:</td>
							 <td class="query">
								 <select name="huntGroup">
									 <option value="all" selected="selected"><fmt:message key="all"/></option>
									 <c:forEach var="row" items="${rs.rows}">
										 <option value="${row.info}">${row.info}</option>
									 </c:forEach>
								 </select>
							 </td>
							 <td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query"><fmt:message key="listlines.results"/>:</td>
							<td class="query">
								<input type="radio" name="rows" value="10"/><label>10</label>		
								<input type="radio" name="rows" value="25" checked="checked"/><label>25</label>		
								<input type="radio" name="rows" value="50"/><label>50</label>		
							</td>
							<td class="query"/>
						</tr>
						<tr class="plain">
							<td class="query" colspan="3">
								<input class="boton" type="submit" name="submit" value="<fmt:message key='listlines.results'/>"/>
							</td>
						</tr>
					</table>
				</form>
			</c:when>
		
			<c:otherwise>
		
				<w:where var='conds'>
					<w:condition attribute='p.number' comparator='>=' value='${param.numGt}'/>
					<w:condition attribute='p.number' comparator='<=' value='${param.numLt}'/>
					<w:condition attribute='p.info' comparator='${param.infoType}' value='${param.info}'/>
					<c:if test='${param.protocol != "all"}'>
						<w:condition attribute='protocol' value='${param.protocol}'/>
					</c:if>
					<c:if test='${param.huntGroup != "all"}'>
						<c:choose>
							<c:when test="${sessionScope.asterisk12}">	
								<w:condition attribute="hunt_group" value="${param.huntGroup}"/>
							</c:when>
							<c:otherwise>
								<w:condition attribute="h.info" value="${param.huntGroup}"/>
							</c:otherwise>
						</c:choose>
					</c:if>
				</w:where>
				 
				 <c:set var="offset" value="${param.offset}"/>
				 
				 <c:if test="${empty offset}">
					 <c:set var="offset" value="0"/>
				 </c:if>
				 
				 <c:choose>
					 <c:when test="${sessionScope.asterisk12}">	
						 <sql:query var="rs" dataSource="jdbc/ipcontactRO">
							 SELECT count(*) AS count FROM pstnlines p ${conds}
						 </sql:query>
					 </c:when>
					 <c:otherwise>
						 <sql:query var="rs" dataSource="jdbc/ipcontactRO">
							 SELECT count(*) AS count FROM (
								SELECT count(*) AS count 
								FROM pstnline p
								LEFT JOIN hunt_line ON line_number = number
								LEFT JOIN hunt h ON h.number = hunt_number
								${conds}
							 ) AS X
						 </sql:query>
					 </c:otherwise>
				 </c:choose>
				 
				 <c:if test='${rs.rows[0].count > (offset + param.rows)}'>
					 <c:set var="nextOffset" value="true"/>
				 </c:if>
				 
				 <c:choose>
					 <c:when test="${sessionScope.asterisk12}">					 
						 <sql:query var="rs" dataSource="jdbc/ipcontactRO">
							 SELECT number, protocol, line_prefix, line_postfix, inbound_prefix, hunt_group, size, info
							 FROM pstnlines p
							 ${conds} ORDER BY p.number LIMIT ${param.rows} OFFSET ${offset}
						 </sql:query>
					 </c:when>
					 <c:otherwise>
						  <sql:query var="rs" dataSource="jdbc/ipcontactRO">
								SELECT p.number, protocol, line_prefix, line_postfix, inbound_prefix, 
									GROUP_CONCAT(h.info SEPARATOR ', ') AS hunt_group, size, p.info
								FROM pstnline p
								LEFT JOIN hunt_line ON line_number = number
								LEFT JOIN hunt h ON h.number = hunt_number
								${conds} GROUP BY p.number LIMIT ${param.rows} OFFSET ${offset}
						  </sql:query>
					 </c:otherwise>
				 </c:choose>
				 
				 <form method="get" action="listLines.jsp" name="jumpForm">
					<input type="hidden" name="numGt" value="${param.numGt}"/>
					<input type="hidden" name="numLt" value="${param.numLt}"/>
					<input type="hidden" name="info" value="${param.info}"/>
					<input type="hidden" name="infoType" value="${param.infoType}"/>
					<input type="hidden" name="protocol" value="${param.protocol}"/>
					<input type="hidden" name="huntGroup" value="${param.huntGroup}"/>
					<input type="hidden" name="offset" value=""/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
		
				<form method="post" action="delLine.jsp" name="deleteForm" target="_self">
					<input type="hidden" name="id"/>
					<input type="hidden" name="numGt" value="${param.numGt}"/>
					<input type="hidden" name="numLt" value="${param.numLt}"/>
					<input type="hidden" name="info" value="${param.info}"/>
					<input type="hidden" name="infoType" value="${param.infoType}"/>
					<input type="hidden" name="protocol" value="${param.protocol}"/>
					<input type="hidden" name="huntGroup" value="${param.huntGroup}"/>
					<input type="hidden" name="offset" value="${offset}"/>
					<input type="hidden" name="rows" value="${param.rows}"/>	
				</form>
		
				<form method="post" action="addLine.jsp" name="editForm" target="_self">
					<input type="hidden" name="id"/>
				</form>
			
				<c:if test="${not empty sessionScope.message}">
					<h3>${sessionScope.message}</h3>
					<c:set var='message' value='' scope='session'/>
				</c:if>
		
				<h2><fmt:message key="listlines.title"/></h2>
		
				<table class="data">	
					<tr class="tit">
						<th><fmt:message key="listlines.data.number"/></th>
						<th><fmt:message key="listlines.data.protocol"/></th>
						<th><fmt:message key="listlines.data.lineprefix"/></th>
						<th><fmt:message key="listlines.data.linepostfix"/></th>
						<th><fmt:message key="listlines.data.inboundprefix"/></th>
						<th><fmt:message key="listlines.data.group"/></th>
						<th><fmt:message key="listlines.data.quantity"/></th>
						<th><fmt:message key="listlines.data.info"/></th>
					</tr>
		
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<c:choose>
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>	
						<td class="data">${row.number}</td>	
						<td class="data">${row.protocol}</td>	
						<td class="data">${row.line_prefix}</td>	
						<td class="data">${row.line_postfix}</td>	
						<td class="data">${row.inbound_prefix}</td>	
						<td class="data">${row.hunt_group}</td>	
						<td class="data">${row.size}</td>	
						<td class="data">${row.info}</td>	
					</tr>
					</c:forEach>
				</table>
		
				<util:jump offset='${offset}' rows='${param.rows}' nextOffset='${nextOffset}'/>
				
			</c:otherwise>
			
		</c:choose>
	</fmt:bundle>
</div>
</body>
</html>

