<%pageContext.setAttribute("path","../");%>
<%pageContext.setAttribute("refresh","20");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="queues">
		<% 	
			Document doc;
			Element action;
			String [] [] result;
			
			doc = XMLHelper.newDocument();
			action = XMLHelper.newElement(doc, "query", "type", "get queue clients");
			XMLHelper.addElement(doc, action, "queue", request.getParameter("queue"));
			doc.appendChild(action);
			result = net.actionArray(doc, 4);
			pageContext.setAttribute("result", result);
			pageContext.setAttribute("waiting", (new Integer(result == null ? 0 : result.length)));
		%>
	
		<c:catch var="ex">
			<c:if test="${not empty param.delete}">
				<sql:update dataSource="jdbc/ipcontact">
					DELETE FROM queue_users
					WHERE username = '${param.delete}' AND queue = '${param.queue}'
				</sql:update>
			</c:if>
		
			<c:if test="${not empty param.agent}">
				<c:choose>
					<c:when test="${empty param.penalty}">
						<c:set var="penalty" value="0"/>
					</c:when>
					<c:otherwise>
						<c:set var="penalty" value="${param.penalty}"/>
					</c:otherwise>
				</c:choose>
				
				<sql:query var="rs" dataSource="jdbc/ipcontact">
          SELECT * FROM queue_users WHERE username='${param.agent}' AND queue='${param.queue}'
				</sql:query>

        <c:choose>
				  <c:when test="${not empty rs.rows}">
			      <sql:update dataSource="jdbc/ipcontact">
              UPDATE queue_users SET priority=${penalty} WHERE username='${param.agent}' AND queue='${param.queue}'
			      </sql:update>
          </c:when>
          <c:otherwise>
			      <sql:update dataSource="jdbc/ipcontact">
			      	INSERT INTO queue_users (username, queue, priority)
			      	VALUES ('${param.agent}', '${param.queue}', ${penalty})
			      </sql:update>
          </c:otherwise>
        </c:choose>
			</c:if>
		</c:catch>
		
		<sql:query var="rs1" dataSource="jdbc/ipcontact">
			SELECT SEC_TO_TIME(avg(wait_time)) AS average
			FROM callinfo, cdr 
			WHERE callinfo.uniqueid = cdr.uniqueid AND cdr.calldate > CURDATE() AND queue='${param.queue}'
		</sql:query>
		
		<sql:query var="rs3" dataSource="jdbc/ipcontact">
			SELECT SEC_TO_TIME(avg(wait_time)) AS average
			FROM callinfo, cdr 
			WHERE callinfo.uniqueid = cdr.uniqueid AND cdr.calldate > CURDATE() AND queue='${param.queue}' AND status=0
		</sql:query>
		
		<sql:query var="rs2" dataSource="jdbc/ipcontact">
			SELECT count(*) AS count
			FROM callinfo, cdr 
			WHERE callinfo.uniqueid = cdr.uniqueid AND cdr.calldate > CURDATE() AND queue='${param.queue}' AND status=3
		</sql:query>
		
		<sql:query var="rs4" dataSource="jdbc/ipcontact">
			SELECT username, priority
			FROM queue_users
			WHERE queue = '${param.queue}'
		</sql:query>
		
		<c:choose>
			<c:when test="${sessionScope.role eq 'admin'}">
				<sql:query var="rs5" dataSource="jdbc/ipcontact">
					SELECT first_name, last_name, username
					FROM agents
					INNER JOIN users ON username = user
					WHERE disabled = 0
					ORDER BY first_name
				</sql:query>
			</c:when>
			<c:when test="${sessionScope.role eq 'supervisor'}">
				<sql:query var="rs5" dataSource="jdbc/ipcontact">
					SELECT first_name, last_name, username
					FROM agents
					INNER JOIN users on username = user
					INNER JOIN supervisors_groups USING (group_id)
					WHERE user_id = '${sessionScope.username}' AND disabled = 0
					ORDER BY first_name
				</sql:query>
			</c:when>
		</c:choose>
	
		<c:if test="${not empty ex}">
			<p><fmt:message key="getqueue.error"/>: 
				<blockquote>${ex}</blockquote>
			</p>
			<br/>
		</c:if>
		
		<c:if test="${not empty sessionScope.message}">
			<h3>${sessionScope.message}</h3>
			<c:set var='message' value='' scope='session'/>
		</c:if>
	
		<h1><fmt:message key="getqueue.queue"/>: ${param.queue}</h1>
	
		<h2><fmt:message key="getqueue.clients.title"/></h2>
		
		<c:choose>
			<c:when test="${empty result}">
				<p><fmt:message key="getqueue.clients.empty"/></p>
			</c:when>
			<c:otherwise>
				<table class="data">	
					<tr class="tit">
						<th><fmt:message key="getqueue.clients.position"/></th>
						<th><fmt:message key="getqueue.clients.callerid"/></th>
						<th><fmt:message key="getqueue.clients.waiting"/></th>
						<th><fmt:message key="getqueue.clients.calling"/></th>
					</tr>
					<c:forEach var="row" varStatus="stat" items="${result}">
						<c:choose>
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						<c:forEach var="i" begin="0" end="3">
							<td class="data">${row[i]}</td>
						</c:forEach>
						</tr>
				</c:forEach>
				</table>
			</c:otherwise>
		</c:choose>
	
		<%
			doc = XMLHelper.newDocument();
			action = XMLHelper.newElement(doc, "query", "type", "get queue agents");
			XMLHelper.addElement(doc, action, "queue", request.getParameter("queue"));
			doc.appendChild(action);
			result = net.actionArray(doc, 8);
			pageContext.setAttribute("result", result);
		%>
		
		<h2><fmt:message key="getqueue.activeagents.title"/></h2>
		
		<c:set var="idle" value="0"/>
		<c:set var="busy" value="0"/>
		<c:set var="paused" value="0"/>
	
		<c:choose>
			<c:when test="${empty result}">
				<p><fmt:message key="getqueue.activeagents.empty"/></p>
			</c:when>
			<c:otherwise>
				<table class="data">	
					<tr class="tit">
						<th><fmt:message key="getqueue.activeagents.agent"/></th>
						<th><fmt:message key="getqueue.activeagents.extension"/></th>
						<th><fmt:message key="getqueue.activeagents.type"/></th>
						<th><fmt:message key="getqueue.activeagents.priority"/></th>
						<th><fmt:message key="getqueue.activeagents.answered"/></th>
						<th><fmt:message key="getqueue.activeagents.answeringqueue"/></th>
						<th><fmt:message key="getqueue.activeagents.pause"/></th>
						<th><fmt:message key="getqueue.activeagents.speaking"/></th>
						<th></th>
					</tr>
					<c:forEach var="row" varStatus="stat" items="${result}">
						<c:choose>
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						<c:forEach var="i" begin="0" end="7">
							<c:choose>
								<c:when test="${i == 2}">
									<c:choose>
										<c:when test="${row[i] eq 'static'}">
											<td class="data"><fmt:message key="getqueue.activeagents.static"/></td>
										</c:when>
										<c:otherwise>
											<td class="data"><fmt:message key="getqueue.activeagents.dynamic"/></td>
										</c:otherwise>
									</c:choose>
								</c:when>
								<c:when test="${i == 6}">
									<c:choose>
										<c:when test="${row[i]}">
											<td class="data"><fmt:message key="yes"/></td>
										</c:when>
										<c:otherwise>
											<td class="data"><fmt:message key="no"/></td>
										</c:otherwise>
									</c:choose>
								</c:when>
								<c:otherwise>
									<td class="data">${row[i]}</td>
								</c:otherwise>
							</c:choose>
						</c:forEach>
	
						<c:choose>
							<c:when test="${row[6]}">
								<c:set var="paused" value="${paused + 1}"/>
							</c:when>
							<c:otherwise>	
								<c:if test="${empty row[7]}">
									<c:set var="idle" value="${idle + 1}"/>
								</c:if>
								<c:if test="${!empty row[5]}">
									<c:set var="busy" value="${busy + 1}"/>
								</c:if>
							</c:otherwise>
						</c:choose>
							<td><a href="delAgent.jsp?queue=${param.queue}&agent=${row[1]}"><fmt:message key="delete"/></a></td>
						</tr>
				</c:forEach>
				</table>
			</c:otherwise>
		</c:choose>
		
		<br/>
		
		<form method="post" action="addAgent.jsp" target="_self">
			<table class="query">
				<tr class="plain">
					<td class="query"><fmt:message key="getqueue.activeagents.newagent"/>:</td>
					<td class="query">
						<select name="agent">
							<option value="" selected="selected"></option>
							<c:forEach var="row" items="${rs5.rows}">
								<option value="${row.username}">${row.first_name} ${row.last_name}</option>
							</c:forEach>
						</select>
					</td>
					<td class="query"><fmt:message key="getqueue.activeagents.newextension"/>:</td>
					<td class="query"><input type="text" size="5" name="extension" onKeyPress="return NumOnly(event)"/></td>
					<td class="query"><fmt:message key="getqueue.activeagents.priority"/>:</td>
					<td class="query"><input type="text" size="2" value="0" name="penalty" onKeyPress="return NumOnly(event)"/></td>
					<td class="query" colspan="2">
						<input class="boton" type="submit" name="submit" value="<fmt:message key="add"/>"/>
					</td>
				</tr>
			</table>
			<input type="hidden" name="queue" value="${param.queue}"/>
		</form>
		
		<br/>
		<h2><fmt:message key="getqueue.asignedagents.title"/></h2>
		<c:choose>
			<c:when test="${empty rs4.rows}">
				<p><fmt:message key="getqueue.asignedagents.empty"/></p>
			</c:when>
			<c:otherwise>
				<table class="data">	
					<tr class="tit">
						<th><fmt:message key="getqueue.asignedagents.agent"/></th>
						<th><fmt:message key="getqueue.asignedagents.priority"/></th>
						<th/>
					</tr>
					<c:forEach var="row" varStatus="stat" items="${rs4.rows}">
						<c:choose>
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						<td class="data">${row.username}</td>
						<td class="data">${row.priority}</td>
							<c:url var="url" value="getQueue.jsp">
								<c:param name="delete" value="${row.username}"/>
								<c:param name="queue" value="${param.queue}"/>
							</c:url>
						<td><a href="${url}"><fmt:message key="delete"/></a></td>
					</c:forEach>
					</tr>
				</table>
			</c:otherwise>
		</c:choose>
		<br>
		<form method="post" action="getQueue.jsp">
			<table class="query">
				<tr class="plain">
					<td class="query"><fmt:message key="getqueue.asignedagents.newagent"/>:</td>
					<td class="query">
						<select name="agent">
							<c:forEach var="row" items="${rs5.rows}">
								<option value="${row.username}">${row.first_name} ${row.last_name}</option>
							</c:forEach>
						</select>
					</td>	
					<td class="query"><fmt:message key="getqueue.asignedagents.priority"/>:</td>
					<td class="query"><input type="text" size="2" name="penalty" value="0" onKeyPress="return NumOnly(event)"/></td>
					<td class="query" colspan="2">
						<fmt:message key="add" var="add"/>
						<input class="boton" type="submit" name="submit" value="${add}"/>
						
					</td>
				</tr>
			</table>
			<input type="hidden" name="queue" value="${param.queue}"/>
		</form>
		
		<br/>
		<h2><fmt:message key="getqueue.statistics.title"/></h2>
		<table class="data">
			<tr>
				<c:url var="url" value="../servlet/ipcontact.Histogram" >
					<c:param name="queue" value="${param.queue}" />
				</c:url>
				<td><img alt="<fmt:message key="getqueue.statistics.error"/>" width="300" height="300" src="${url}"></td>
				
				<td>&nbsp;&nbsp;&nbsp;</td>
				
				<c:url var="url" value="../servlet/ipcontact.Bar" >
					<c:param name="busy" value="${busy}" />
					<c:param name="idle" value="${idle}" />
					<c:param name="paused" value="${paused}" />
					<c:param name="waiting" value="${waiting}" />
				</c:url>
				<td><img alt="<fmt:message key="getqueue.statistics.error"/>" width="300" height="300" src="${url}"></td>
				
			</tr>
			<tr>
				<td>
					<p><fmt:message key="getqueue.statistics.abandoned"/>: ${rs2.rows[0].count}</p>
					<p><fmt:message key="getqueue.statistics.waitingaverage"/>: ${rs1.rows[0].average}</p>
					<p><fmt:message key="getqueue.statistics.answeredaverage"/>: ${rs3.rows[0].average}</p>
				</td>
			</tr>
		</table>
		<br/>	
		<hr/>	
	
		<a href='javascript:window.location.reload()'><fmt:message key="reload"/></a>
	</fmt:bundle>
</div>
</body>
</html>
