<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="queues">			
		
		<c:choose>
			<c:when test="${sessionScope.role eq 'admin'}">
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					SELECT DISTINCT queue 
					FROM queue_users 
					ORDER BY queue
				</sql:query>
				<c:set var="query" value="SELECT DISTINCT queue FROM queue_users ORDER BY queue"/>
			</c:when>
			<c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
				<sql:query var="rs" dataSource="jdbc/ipcontactRO">
					SELECT DISTINCT queue 
					FROM queue_users 
					INNER JOIN users USING (username) 
					INNER JOIN supervisors_groups USING (group_id) 
					WHERE user_id = '${sessionScope.username}' 
					ORDER BY queue
				</sql:query>
				<c:set var="query" value="SELECT DISTINCT queue 
					FROM queue_users 
					INNER JOIN users USING (username) 
					INNER JOIN supervisors_groups USING (group_id) 
					WHERE user_id = '${sessionScope.username}' 
					ORDER BY queue"/>
			</c:when>
		</c:choose>
		
		
		<c:if test="${not empty param.delete}">
			<sql:update dataSource="jdbc/ipcontact">
				DELETE FROM queue_label
				WHERE notes = '${param.notes}' and queue = '${param.queue}' 
			</sql:update>
		</c:if>
		
		<c:if test="${not empty param.queue and empty param.delete}">
			<sql:update dataSource="jdbc/ipcontact">
				INSERT INTO queue_label (queue, notes)
				VALUES ('${param.queue}', '${param.notes}')
			</sql:update>
		</c:if>
		
		<sql:query var="rsQueueLabel" dataSource="jdbc/ipcontact">
			SELECT queue, notes 
			FROM queue_label
			WHERE queue IN (${query})
			ORDER BY queue
		</sql:query>
		
		<h1><fmt:message key='queuelabel.title'/></h1>
		
		<table class="data">
			<tr class="tit">
				<th><fmt:message key='queuelabel.queue'/></th>
				<th><fmt:message key='queuelabel.notes'/></th>
				<th/>
			</tr>
			
			<c:forEach var="row" varStatus="stat" items="${rsQueueLabel.rows}">
				<c:choose>
					<c:when test="${stat.count % 2 == 0}">
						<tr class="even">
					</c:when>
					<c:otherwise>
						<tr class="odd">
					</c:otherwise>
				</c:choose>	
				<td class="data">${row.queue}</td>	
				<td class="data">${row.notes}</td>
				
				
				<c:url var="url" value="label.jsp">
					<c:param name="delete" value="${row.queue}"/>
					<c:param name="queue" value="${row.queue}"/>
					<c:param name="notes" value="${row.notes}"/>
				</c:url>
				<td><a href="${url}"><fmt:message key="queuelabel.delete"/></a></td>
			
			</c:forEach>
		</table>
		
		<br/>
		
		<h2><fmt:message key='queuelabel.addlabel'/></h2>
		
		<form method="post" action="label.jsp" name="formulario">
			<table class="query">
				<tr class="plain">
					<td class="query"><fmt:message key="queuelabel.queue"/>:</td>
					<td class="query">
						<select name="queue">
							<c:forEach var="row" items="${rs.rows}">
								<option value="${row.queue}">${row.queue}</option>
							</c:forEach>
						</select>
					</td>
					<td class="query"/>
				</tr>
				
				
				<tr class="plain">
					<td class="query"><fmt:message key="queuelabel.notes"/>:</td>
					<td class="query" width="100%">
						<textarea cols="40" rows="3" name="notes"></textarea>
					</td>
					<td class="query"/>
				</tr>
				<tr class="plain">
					<td class="query" colspan="2">
						<fmt:message key="add" var="add"/>
						<input class="boton" type="submit" name="submit" value="${add}"/>
						<c:set var="add" value=""/>
					</td>
					<td class="query"/>
				</tr>
			</table>
		</form>		
		
	</fmt:bundle>
</div>
</body>
</html>