<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
<fmt:bundle basename="statistics">
<c:choose>
<c:when test='${empty param.variables}'>
    <h1><fmt:message key="cumulative.title"/></h1>
    
    <c:choose>
        <c:when test="${sessionScope.role eq 'admin'}">
            <sql:query var="rs" dataSource="jdbc/ipcontact">
                SELECT DISTINCT queue 
                FROM queue_users
                ORDER BY queue
            </sql:query>
        </c:when>
        <c:when test="${sessionScope.role eq 'supervisor' or sessionScope.role eq 'manager'}">
            <sql:query var="rs" dataSource="jdbc/ipcontact">
                SELECT DISTINCT queue 
                FROM queue_users 
                INNER JOIN users USING (username)
                INNER JOIN supervisors_groups USING (group_id)
                WHERE user_id = '${sessionScope.username}'
                ORDER BY queue
            </sql:query>
        </c:when>
    </c:choose>
    
    <form name="formulario" method="post" action="cumulative-gen.jsp" target="_self">
        <table class="query">
            <tr class="plain">
                <td class="query"> <fmt:message key="cumulative.from"/>: </td>
                <td class="query"> 
                    <input name='afterDate' id='afterDate' type='text' size='10'/>
                    <input name='afterTime' id='afterTime' type='text' size='5'/>
                    <script type="text/javascript">
                        <!--
                        if (document.formulario.afterDate.value.length == 0)
                            document.formulario.afterDate.value=getCurrentDate();
                        if (document.formulario.afterTime.value.length == 0)
                            document.formulario.afterTime.value="00:00";
                        -->
                    </script>
                    <img src='../calendar/calendar.jpg' title='<fmt:message key="cumulative.calendar"/>' alt='<fmt:message key="cumulative.calendar"/>' onclick="scwShow(document.getElementById('afterDate'),this);" />
                </td> 
            </tr>
            <tr class="plain">
                <td class="query"> <fmt:message key="cumulative.to"/>: </td>
                <td class="query"> 
                    <input name='beforeDate' id='beforeDate' type='text' size='10'/>
                    <input name='beforeTime' id='beforeTime' type='text' size='5'/>
                    <script type="text/javascript">
                        <!--
                        if (document.formulario.beforeDate.value.length == 0)
                            document.formulario.beforeDate.value=getCurrentDate();
                        if (document.formulario.beforeTime.value.length == 0)
                            document.formulario.beforeTime.value=getCurrentTime();
                        -->
                    </script>
                    <img src='../calendar/calendar.jpg' title='<fmt:message key="cumulative.calendar"/>' alt='<fmt:message key="cumulative.calendar"/>' onclick="scwShow(document.getElementById('beforeDate'),this);" />
                </td> 
            </tr>
            <tr class="plain">
                <td class="query"> <fmt:message key="cumulative.variables"/>: </td>
                <td class="query"> 
                    <select name="variables" multiple="multiple">
                        <option value="num"><fmt:message key="cumulative.vars.num"/></option>
                        <option value="lost"><fmt:message key="cumulative.vars.lost"/></option>
                        <option value="dur"><fmt:message key="cumulative.vars.dur"/></option>
                        <option value="wait"><fmt:message key="cumulative.vars.wait"/></option>
                        <option value="wait_answered"><fmt:message key="cumulative.vars.waitanswered"/></option>
                        <option value="wait_lost"><fmt:message key="cumulative.vars.waitlost"/></option>
                    </select>
                </td>
            </tr>
            <tr class="plain">
                <td class="query"><fmt:message key="reportqueuedata.queue"/>:</td>
                <td class="query">
                    <select name="queue">
                        <option value="all" selected="selected"><fmt:message key="all"/></option>
                        <c:forEach var="row" items="${rs.rows}">
                            <option value="${row.queue}">${row.queue}</option>
                        </c:forEach>
                    </select>
                </td>
            </tr>
            <tr class="plain">
                <td class="query"> <fmt:message key="cumulative.groupby"/>: </td>
                <td class="query">
                    <select name="orderBy">
                        <option value="month" selected="selected"><fmt:message key="cumulative.month"/></option>
                        <option value="week"><fmt:message key="cumulative.week"/></option>
                        <option value="day"><fmt:message key="cumulative.day"/></option>
                        <option value="origin"><fmt:message key="cumulative.origin"/></option>
                    </select>
                </td>	
            </tr>
            <tr class="plain">
                <td class="query"> <fmt:message key="cumulative.alsogroupby"/>: </td>
                <td class="query">
                    <select name="orderBy2">
                        <option value="" selected="selected"/>
                        <option value="month"><fmt:message key="cumulative.month"/></option>
                        <option value="week"><fmt:message key="cumulative.week"/></option>
                        <option value="day"><fmt:message key="cumulative.day"/></option>
                        <option value="origin"><fmt:message key="cumulative.origin"/></option>
                    </select>
                </td>	
            </tr>
            <tr class="plain">
                <td class="query" colspan="2">
                    <input class="boton" type="submit" value="<fmt:message key="cumulative.submit"/>"/>
                       </td>
            </tr>
        </table>
    </form>
</c:when>

<c:otherwise>
<jsp:useBean id="stats" class="ipcontact.reports.GroupedStatsBean">
    <c:set target='${stats}' property='afterDate' value='${param.afterDate}'/>
    <c:set target='${stats}' property='afterTime' value='${param.afterTime}'/>
    <c:set target='${stats}' property='beforeDate' value='${param.beforeDate}'/>
    <c:set target='${stats}' property='beforeTime' value='${param.beforeTime}'/>
    <c:set target='${stats}' property='orderBy' value='${param.orderBy}'/>
    <c:set target='${stats}' property='orderBy2' value='${param.orderBy2}'/>
    <c:set target='${stats}' property='queue' value='${param.queue}'/>
    <jsp:setProperty name='stats' property='vars' param='variables'/>
</jsp:useBean>

<c:set var='table' value='${stats.data}' scope="session"/>
<c:set var='headers' value='${stats.headers}' scope="session"/>

<table class="data">
<tr class="tit">
    <c:forEach var="row" items="${headers}">
        <th><fmt:message key="${row}"/></th>
    </c:forEach>
</tr>
<c:forEach var="row" varStatus="stat" items="${table}">
    <c:choose>	
        <c:when test="${stat.count % 2 == 0}">
            <tr class="even">
        </c:when>
        <c:otherwise>
            <tr class="odd">
        </c:otherwise>
    </c:choose>
    
    <c:forEach var="row2" items="${row}">
        <c:choose>
            <c:when test="${empty row2}">
                <td class="data">Total</td>	
            </c:when>
            <c:otherwise>
                <td class="data">${row2}</td>
            </c:otherwise>
        </c:choose>
    </c:forEach>
    </tr>
</c:forEach>
</table>

<p>
    <a href="cumulativeTable.jsp"><fmt:message key="cumulative.downloadtext"/></a>
</p>
</c:otherwise>
</c:choose>
</fmt:bundle>
</div>
</body>
</html>