<%pageContext.setAttribute("path","../../");%>
<%@ include file="../../menu.jsp" %>

<div id="right">
	<fmt:bundle basename="statistics">
		<h1><fmt:message key="listblacklist.title"/></h1>
		
		<c:if test="${not empty sessionScope.message}">
			<c:set var="class" value="error"/>
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				<c:set var="class" value=""/>
				${sessionScope.message}
				<c:set var="message" value="" scope="session"/>
			</div>
		</c:if>
		
		
			<c:choose>
				<c:when test="${empty param.queue}">
					<sql:query var="rs" dataSource="jdbc/uras">
						SELECT DISTINCT queue 
						FROM bmg_blacklist 
						ORDER by queue
					</sql:query>
				
					<form method="post" name="formulario" action="listBlackListData.jsp" target="_self">
						<table class="query">
							<tr class="plain">
								<td class="query"><fmt:message key="reportqueuedata.queue"/>:</td>
								<td class="query">
									<select name="queue">
										<option value="all" selected="selected"><fmt:message key="all"/></option>
										<c:forEach var="row" items="${rs.rows}">
											<option value="${row.queue}">${row.queue}</option>
										</c:forEach>
									</select>
								</td>
								<td class="query"/>
							</tr>
							<tr class="plain">
								<td class="query"><fmt:message key="listblacklist.phone"/>:</td>
								<td class="query"><input type="text" size="40" name="phone"/></td>
								<td class="query">
									<select name="phoneType">
										<option value="1" ><fmt:message key="equal"/></option>
										<option value="2" selected="selected"><fmt:message key="contain"/></option>
										<option value="3" ><fmt:message key="startswith"/></option>
										<option value="4" ><fmt:message key="endswith"/></option>
									</select> 
								</td>
							</tr>
							<tr class="plain">
				        		<td class="query" colspan="2">
				            		<input class="boton" type="submit" value="<fmt:message key="listblacklist.submit"/>"/>
				            	</td>
				            	<td class="query"/>
				        	</tr>
						</table>
					</form>			
				</c:when>
			
				<c:otherwise>
				
					<w:where var='conds'>
						<c:if test='${param.queue != "all"}'>
							<w:condition attribute='queue' value='${param.queue}'/>
		    			</c:if>
		    			<w:condition attribute="phone" comparator="${param.phoneType}" value="${param.phone}"/>
		    		</w:where>
		    		
		    		<!-- la variable sql es usada para generar los reportes -->
		    		
		    		<c:set var="sql" scope="session" value=
		    			"SELECT phone, queue, info 
		    			FROM bmg_blacklist 
		    			${conds}
		    			ORDER by queue"/>
		    		
		    		<sql:query var="rs" dataSource="jdbc/uras">
		    			${sql}
		    		</sql:query>
		    		
		    		
		    		
		    		<table class="data">
		    			<tr class="tit">
		    				<th><fmt:message key="listblacklist.phone"/></th>
		    				<th><fmt:message key="listblacklist.queue"/></th>
		    				<th><fmt:message key="listblacklist.info"/></th>
		    				<th/>
		    			</tr>
							
						<c:forEach var="row" varStatus="stat" items="${rs.rows}">
								
							<c:choose>
								<c:when test="${stat.count % 2 == 0}">
									<tr class="even">
								</c:when>
								<c:otherwise>
									<tr class="odd">
								</c:otherwise>
							</c:choose>	
							
	
							<td class="data">${row.phone}</td>	
							<td class="data">${row.queue}</td>	
							<td class="data">${row.info}</td>
							<td class="data">
								<a href="delBlackList.jsp?phone_delete=${row.phone}&queue=${param.queue}&phoneType=${param.phoneType}&phone=${param.phone}"><fmt:message key="listblacklist.delete"/></a>
							</td>
							
							</tr>
						</c:forEach>
					</table>
					
				
					<util:jump offset="${offset}" rows="${param.rows}" nextOffset="${nextOffset}"/>
						
					<c:url var="linkPDF" value="../../servlet/ipcontact.Reports">
						<c:param name="reportFile" value="portrait-report.xml"/>
						<c:param name="template" value="fast/blacklist.xml"/>
						<c:param name="reportType" value="pdf"/>					
						<c:param name="filename" value="blacklist"/>
						<c:if test="${not empty sessionScope.locale}">
							<c:param name="locale" value="${sessionScope.locale}"/>
						</c:if>
						<c:param name="db" value="java:comp/env/jdbc/uras"/>
					</c:url>
			
					<c:url var="linkXLS" value="../../servlet/ipcontact.Reports">
						<c:param name="reportFile" value="portrait-report.xml"/>
						<c:param name="template" value="fast/blacklist.xml"/>
						<c:param name="reportType" value="xls"/>					
						<c:param name="filename" value="blacklist"/>
						<c:if test="${not empty sessionScope.locale}">
							<c:param name="locale" value="${sessionScope.locale}"/>
						</c:if>
						<c:param name="db" value="java:comp/env/jdbc/uras"/>
					</c:url>
			
					<c:url var="linkCSV" value="../../servlet/ipcontact.Reports">
						<c:param name="reportFile" value="portrait-report.xml"/>
						<c:param name="template" value="fast/blacklist.xml"/>
						<c:param name="reportType" value="csv"/>					
						<c:param name="filename" value="blacklist"/>
						<c:if test="${not empty sessionScope.locale}">
							<c:param name="locale" value="${sessionScope.locale}"/>
						</c:if>
						<c:param name="db" value="java:comp/env/jdbc/uras"/>
					</c:url>
			
					<%@ include file="../../include/export.jsp" %>
				
				</c:otherwise>
			
			</c:choose>
			
		</fmt:bundle>
</div>
</body>
</html>				
							
					
					